中危 bash 代码执行漏洞

CVE编号

CVE-1999-0491

利用情况

暂无

补丁情况

N/A

披露时间

1999-04-20 17:00:00
漏洞描述
bash中的提示解析允许本地用户以另一个用户的身份执行命令,方法是创建一个目录,其中包含要执行的命令的名称。 

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu bash * Up to
(including)
2.04
运行在以下环境
应用 gnu bash 1.14.0 -
运行在以下环境
应用 gnu bash 1.14.1 -
运行在以下环境
应用 gnu bash 1.14.2 -
运行在以下环境
应用 gnu bash 1.14.3 -
运行在以下环境
应用 gnu bash 1.14.4 -
运行在以下环境
应用 gnu bash 1.14.5 -
运行在以下环境
应用 gnu bash 1.14.6 -
运行在以下环境
应用 gnu bash 1.14.7 -
运行在以下环境
应用 gnu bash 2.0 -
运行在以下环境
应用 gnu bash 2.01 -
运行在以下环境
应用 gnu bash 2.01.1 -
运行在以下环境
应用 gnu bash 2.02 -
运行在以下环境
应用 gnu bash 2.02.1 -
运行在以下环境
应用 gnu bash 2.03 -
运行在以下环境
应用 gnu bash 2.05 -
CVSS3评分
4.6
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
    部分地
  • 保密性
    部分地
  • 完整性
    部分地
CWE-ID 漏洞类型
CWE-94 对生成代码的控制不恰当(代码注入)
阿里云安全产品覆盖情况